export const options = [
	{
		name: ' --port',
		id: 'port',
		param: '--port',
		desc: 'Change Hestia Port',
		selected: true,
		text: '8083',
		textField: true,
	},
	{
		name: ' --lang',
		id: 'language',
		param: '--lang',
		desc: 'ISO 639-1 codes',
		selected: true,
		default: 'en',
		selectField: true,
		text: 'en',
	},
	{
		name: ' --hostname',
		id: 'hostname',
		param: '--hostname',
		desc: 'Set hostname',
		selected: false,
		text: '',
		textField: true,
	},
	{
		name: ' --email',
		id: 'email',
		param: '--email',
		desc: 'Set admin email',
		selected: false,
		text: '',
		textField: true,
	},
	{
		name: ' --password',
		id: 'password',
		param: '--password',
		desc: 'Set admin password',
		selected: false,
		text: '',
		textField: true,
	},
	{
		name: ' --apache',
		id: 'apache',
		param: '--apache',
		desc: 'Web server with htaccess support.',
		selected: true,
	},
	{ name: ' --phpfpm', id: 'phpfpm', param: '--phpfpm', desc: 'Install PHP-FPM.', selected: true },
	{
		name: ' --multiphp',
		id: 'multiphp',
		param: '--multiphp',
		desc: 'Allows installing multiple PHP versions.',
		selected: true,
	},
	{
		name: ' --vsftpd',
		id: 'vsftpd',
		param: '--vsftpd',
		desc: 'Lightweight, minimalist and secure FTP server.',
		selected: true,
		conflicts: 'proftpd',
	},
	{
		name: ' --proftpd',
		id: 'proftpd',
		param: '--proftpd',
		desc: 'Advanced, modular FTP server that supports LDAP.',
		selected: false,
		conflicts: 'vsftpd',
	},
	{
		name: ' --named',
		id: 'named',
		param: '--named',
		desc: 'Custom DNS name server.',
		selected: true,
	},
	{
		name: ' --mariadb',
		id: 'mariadb',
		param: '--mariadb',
		desc: 'Fork of MySQL with additional features and improvements.',
		selected: true,
		conflicts: 'mysql8',
	},
	{
		name: ' --mysql8',
		id: 'mysql8',
		param: '--mysql8',
		desc: 'Open-source database system.',
		selected: false,
		conflicts: 'mariadb',
	},
	{
		name: ' --postgresql',
		id: 'postgresql',
		param: '--postgresql',
		desc: 'Open-source database system.',
		selected: false,
	},
	{
		name: ' --exim',
		id: 'exim',
		param: '--exim',
		desc: 'Allows sending emails from webmail or via SMTP.',
		selected: true,
	},
	{
		name: ' --dovecot',
		id: 'dovecot',
		param: '--dovecot',
		desc: 'Receive emails and connect with email clients via IMAP/POP3.',
		selected: true,
		depends: 'exim',
	},
	{
		name: ' --sieve',
		id: 'sieve',
		param: '--sieve',
		desc: 'Manage your own custom email filters.',
		selected: false,
		depends: 'dovecot',
	},
	{
		name: ' --clamav',
		id: 'clamav',
		param: '--clamav',
		desc: 'Scans your email inbox for viruses.',
		selected: true,
		depends: 'exim',
	},
	{
		name: ' --spamassassin',
		id: 'spamassassin',
		param: '--spamassassin',
		desc: 'Filter out spam emails from your inbox.',
		selected: true,
		depends: 'exim',
	},
	{
		name: ' --iptables',
		id: 'iptables',
		param: '--iptables',
		desc: 'Manage your firewall within Hestia.',
		selected: true,
	},
	{
		name: ' --fail2ban',
		id: 'fail2ban',
		param: '--fail2ban',
		desc: 'Provides Bruteforce protection for SSH, Email, FTP, database.',
		selected: true,
	},
	{
		name: ' --quota',
		id: 'quota',
		param: '--quota',
		desc: 'Use hard disk space limits on user packages.',
		selected: false,
	},
	{ name: ' --api', id: 'api', param: '--api', desc: 'Activate API.', selected: true },
	{
		name: ' --interactive',
		id: 'interactive',
		param: '--interactive',
		desc: 'Interactive install.',
		selected: true,
	},
	{ name: ' --force', id: 'force', param: '--force', desc: 'Force installation.', selected: false },
];
